T1DConvoluteInterpolator< T > Class Template Reference
Interpolation

Interpolator that uses some kind of spaciel kernel. More...

`#include <mia/core/interpolator1d.hh>`

Inheritance diagram for T1DConvoluteInterpolator< T >:
[legend]
Collaboration diagram for T1DConvoluteInterpolator< T >:
[legend]

## Public Member Functions

virtual coeff_map< T >::coeff_type | derivative_at (const double &x) const
T | operator() (const double &x) const
| T1DConvoluteInterpolator (const std::vector< T > &data, PSplineKernel kernel, const CSplineBoundaryCondition &boundary_conditions)
| ~T1DConvoluteInterpolator ()
Public Member Functions inherited from C1DInterpolator
virtual | ~C1DInterpolator ()

## Protected Types

typedef TCoeff1D | coeff_vector
| vector to hold coefficients
typedef std::vector< typename coeff_map< T >::coeff_type > | TCoeff1D
| Type of the coefficients after filtering.

## Detailed Description

template<class T>
class T1DConvoluteInterpolator< T >

Interpolator that uses some kind of spaciel kernel.

Base type for interpolators that work with some kind of convolution

Remarks
  currently all interpolators are like this ...

Definition at line 108 of file interpolator1d.hh.

## Member Typedef Documentation

## coeff_vector

template<class T>

typedef TCoeff1D T1DConvoluteInterpolator< T >::coeff_vector

protected

vector to hold coefficients

Definition at line 142 of file interpolator1d.hh.

## TCoeff1D

template<class T>

typedef std::vector< typename coeff_map< T >::coeff_type > T1DConvoluteInterpolator< T >::TCoeff1D

protected

Type of the coefficients after filtering.

Definition at line 139 of file interpolator1d.hh.

## Constructor & Destructor Documentation

## T1DConvoluteInterpolator()

template<class T>

T1DConvoluteInterpolator< T >::T1DConvoluteInterpolator | ( | const std::vector< T > & | data,
|  | PSplineKernel | kernel,
|  | const CSplineBoundaryCondition & | boundary_conditions )

Construtor to prefilter the input for proper interpolation

Parameters

  data | the data used for interpolation
  kernel | the spline kernel used for interpolation
  boundary_conditions | boundary conditions to be applied when interpolating

## ~T1DConvoluteInterpolator()

template<class T>

T1DConvoluteInterpolator< T >::~T1DConvoluteInterpolator | ( |  | ) |

## Member Function Documentation

## derivative_at()

template<class T>

virtual coeff_map< T >::coeff_type T1DConvoluteInterpolator< T >::derivative_at | ( | const double & | x | ) | const

virtual

The interpolation funtion for the first order derivative

Parameters

  x | location to interpolate at

Returns
  the interpolated derivative value

Implements T1DInterpolator< T >.

## operator()()

template<class T>

T T1DConvoluteInterpolator< T >::operator() | ( | const double & | x | ) | const

virtual

The actual interpolation operator

Parameters

  x | location to interpolate at

Returns
  the interpolated value

Implements T1DInterpolator< T >.

The documentation for this class was generated from the following file:

- interpolator1d.hh